Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface ShellView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface ShellView
extends MarkupBasedView

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a shell. All desktops must have a least one shell. The shell represents everything outside of the main book.

See Also:
  `View`

Method Summary
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this shell.
`ShellDefinition` | `getShellDefinition()` Retrieve the associated `shellDefinition` from this shell View. shell Views are immutable but shell Definitions are not.
`ShellDefinitionId` | `getShellDefinitionId()` Getter for shell definition id.
`String` | `getShellFile()` Retrieve the file name used to create this shell. shells are created via .shell files
`String` | `getWebAppName()` Return the name of the webapp that this shell is associated with.
`boolean` | `isDeleted()` If isDeleted is true then the shell has been removed from the file system.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this shell.

  Returns:
    a non null LocalizationResourceView customized per the request.

### getShellDefinition

    public ShellDefinition getShellDefinition()

  Retrieve the associated `shellDefinition` from this shell View. shell Views are immutable but shell Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The shell Definition is constructed (in the database) and updated via its .shell file. If you create a new .shell file then a new shell Definition is created in the database. If you edit the file the changes are automatically seen in the database. (during dev time we poll the file system and in production we update the database whenever the webapp is redeployed.

  Returns:
    a non null shell Definition

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

  Getter for shell definition id. The shell id is the primary key value for the shell definition in the PF_SHELL_DEFINITION table. Unlike Book Pages and Portlets, shells do not have instances. The admin or end user can still change his or her shell but they are customizing the desktop not the shell.

  Returns:
    a non null unique definition id. This value should never be null as views are constructed via the persistence API.

### getShellFile

    public String getShellFile()

  Retrieve the file name used to create this shell. shells are created via .shell files

  Returns:
    the file name associated with this shell.

### getWebAppName

    public String getWebAppName()

  Return the name of the webapp that this shell is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns:
    a non null webapp name.

### isDeleted

    public boolean isDeleted()

  If isDeleted is true then the shell has been removed from the file system. It was not out right deleted from the database because it is in use by some desktop somewhere in the system. Either restore the file and this flag will go back to false or remove/replace this shell via the admin tools.

  If this flag is set on an object the admin tools will display the object with a different icon to denote that it has been removed from the file system.

  Returns:
    true if this file hase been deleted from the files system.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved